#!/bin/sh

# Transmogrifies a running, plain PostmarketOS system into a Synit system

set -eu

SUDOPASS=${SUDOPASS:-user}
REBOOT_AFTER_TRANSMOGRIFY=${REBOOT_AFTER_TRANSMOGRIFY:-}
http_proxy=${http_proxy:-http://10.0.2.2:3128/}

if [ $(id -u) -ne 0 ]
then
    echo ${SUDOPASS} | \
        sudo -S \
             "http_proxy=${http_proxy}" \
             "REBOOT_AFTER_TRANSMOGRIFY=${REBOOT_AFTER_TRANSMOGRIFY}" \
             "$0" "$@"
    exit $?
fi
echo

cp synit-apk-key.pub /etc/apk/keys/.
. /etc/deviceinfo
ls packages/$deviceinfo_arch/

apk add -X `pwd`/packages \
     preserves-tools \
     squeak-cog-vm \
     syndicate-sh \
     synit-config \
     \
     alsa-utils \
     qmi-utils \
     \
     docker

rm -f /etc/syndicate/services/squeak.pr
cp -p `pwd`/squeak.pr /etc/syndicate/services/squeak.pr

if [ -n "$REBOOT_AFTER_TRANSMOGRIFY" ]
then
    reboot
fi
